Order Brand External Vetting
Order new external vetting for a brand.
Duplicate orders for the same evpId and vettingClass return 400 with code 10012 if a successful vetting exists within the last 180 days, or one is currently being processed. Failed vettings can be retried immediately.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.messaging10dlc.brand.externalVetting.order('brandId', {
evpId: 'evpId',
vettingClass: 'vettingClass',
});
console.log(response.createDate);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.messaging_10dlc.brand.external_vetting.order(
brand_id="brandId",
evp_id="evpId",
vetting_class="vettingClass",
)
print(response.create_date)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Messaging10dlc.Brand.ExternalVetting.Order(
context.TODO(),
"brandId",
telnyx.Messaging10dlcBrandExternalVettingOrderParams{
EvpID: "evpId",
VettingClass: "vettingClass",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.CreateDate)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messaging10dlc.brand.externalvetting.ExternalVettingOrderParams;
import com.telnyx.sdk.models.messaging10dlc.brand.externalvetting.ExternalVettingOrderResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ExternalVettingOrderParams params = ExternalVettingOrderParams.builder()
.brandId("brandId")
.evpId("evpId")
.vettingClass("vettingClass")
.build();
ExternalVettingOrderResponse response = client.messaging10dlc().brand().externalVetting().order(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.messaging_10dlc.brand.external_vetting.order(
"brandId",
evp_id: "evpId",
vetting_class: "vettingClass"
)
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->messaging10dlc->brand->externalVetting->order(
'brandId', evpID: 'evpId', vettingClass: 'vettingClass'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-10dlc:brand:external-vetting order \
--api-key 'My API Key' \
--brand-id brandId \
--evp-id evpId \
--vetting-class vettingClasscurl --request POST \
--url https://api.telnyx.com/v2/10dlc/brand/{brandId}/externalVetting \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"evpId": "Evpid",
"vettingClass": "Vettingclass"
}
'{
"evpId": "Evpid",
"vettingId": "vettingId",
"vettingToken": "vettingToken",
"vettingScore": 0,
"vettingClass": "Vettingclass",
"vettedDate": "vettedDate",
"createDate": "createDate"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "string",
"parameter": "string"
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the brand.
Body
Response
Successful Response
External vetting provider ID for the brand.
10Unique ID that identifies a vetting transaction performed by a vetting provider. This ID is provided by the vetting provider at time of vetting.
Required by some providers for vetting record confirmation.
Vetting score ranging from 0-100.
Identifies the vetting classification.
Vetting effective date. This is the date when vetting was completed, or the starting effective date in ISO 8601 format. If this date is missing, then the vetting was not complete or not valid.
Vetting submission date. This is the date when the vetting request is generated in ISO 8601 format.
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.messaging10dlc.brand.externalVetting.order('brandId', {
evpId: 'evpId',
vettingClass: 'vettingClass',
});
console.log(response.createDate);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.messaging_10dlc.brand.external_vetting.order(
brand_id="brandId",
evp_id="evpId",
vetting_class="vettingClass",
)
print(response.create_date)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Messaging10dlc.Brand.ExternalVetting.Order(
context.TODO(),
"brandId",
telnyx.Messaging10dlcBrandExternalVettingOrderParams{
EvpID: "evpId",
VettingClass: "vettingClass",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.CreateDate)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messaging10dlc.brand.externalvetting.ExternalVettingOrderParams;
import com.telnyx.sdk.models.messaging10dlc.brand.externalvetting.ExternalVettingOrderResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ExternalVettingOrderParams params = ExternalVettingOrderParams.builder()
.brandId("brandId")
.evpId("evpId")
.vettingClass("vettingClass")
.build();
ExternalVettingOrderResponse response = client.messaging10dlc().brand().externalVetting().order(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.messaging_10dlc.brand.external_vetting.order(
"brandId",
evp_id: "evpId",
vetting_class: "vettingClass"
)
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->messaging10dlc->brand->externalVetting->order(
'brandId', evpID: 'evpId', vettingClass: 'vettingClass'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-10dlc:brand:external-vetting order \
--api-key 'My API Key' \
--brand-id brandId \
--evp-id evpId \
--vetting-class vettingClasscurl --request POST \
--url https://api.telnyx.com/v2/10dlc/brand/{brandId}/externalVetting \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"evpId": "Evpid",
"vettingClass": "Vettingclass"
}
'{
"evpId": "Evpid",
"vettingId": "vettingId",
"vettingToken": "vettingToken",
"vettingScore": 0,
"vettingClass": "Vettingclass",
"vettedDate": "vettedDate",
"createDate": "createDate"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "string",
"parameter": "string"
}
}
]
}